Q_GETSTATS(2const)

NAME
Q_GETSTATS - get statistics about the quota subsystem

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <sys/quota.h>

[[deprecated]]
int quotactl(QCMD(Q_GETSTATS, type), NULL, 0,
             caddr_t addr);

#include <sys/quota.h>    /* Definition of Q_* constants */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

[[deprecated]]
int syscall(SYS_quotactl_fd, int fd, QCMD(Q_GETSTATS, type), 0,
            struct dqstats *addr);

DESCRIPTION
Get statistics and other generic information about the quota subsystem.

The addr argument should be a pointer to a dqstats structure in which data should be stored. This structure is defined in <sys/quota.h>.

RETURN VALUE
See quotactl(2).

ERRORS
See quotactl(2).

STANDARDS
None.

HISTORY
This operation is obsolete and was removed in Linux 2.4.22.

Files in /proc/sys/fs/quota/ carry the information instead.

SEE ALSO
quotactl(2), quotactl_fd(2)